Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1294888 - Do not fail build if tests fail on MIPS
Summary: Do not fail build if tests fail on MIPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sqlite
Version: rawhide
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Staněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-12-30 19:54 UTC by Michal Toman
Modified: 2016-02-10 10:51 UTC (History)
3 users (show)

Fixed In Version: sqlite-3.10.2-1.fc23 sqlite-3.10.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 18:21:15 UTC


Attachments (Terms of Use)
Do-not-fail-tests-on-MIPS.patch (deleted)
2015-12-30 19:54 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2015-12-30 19:54:18 UTC
Created attachment 1110603 [details]
Do-not-fail-tests-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding MIPS to the list of architectures that do not require tests to pass. Some tests fail on MIPS as they do on other secondary architectures.

Actual results:
Failing tests fail the build on MIPS

Expected results:
sqlite builds on MIPS even if some tests fail

Additional info:
Attaching a dist-git patch.

Comment 1 Fedora Update System 2016-01-22 12:31:12 UTC
spatialite-tools-4.3.0-7.fc23 sqlite-3.10.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99522901b8

Comment 2 Fedora Update System 2016-01-22 12:31:12 UTC
spatialite-tools-4.2.0-19.fc22 sqlite-3.10.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-196966efc2

Comment 3 Fedora Update System 2016-01-24 04:50:58 UTC
spatialite-tools-4.2.0-19.fc22, sqlite-3.10.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-196966efc2

Comment 4 Fedora Update System 2016-01-24 04:51:02 UTC
spatialite-tools-4.3.0-7.fc23, sqlite-3.10.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99522901b8

Comment 5 Fedora Update System 2016-01-26 18:21:06 UTC
spatialite-tools-4.3.0-7.fc23, sqlite-3.10.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-10 10:51:41 UTC
spatialite-tools-4.2.0-19.fc22, sqlite-3.10.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.